Bug 1788707 - [Azure] Support DNSZone and PrivateDNSZone resources for private zone
Summary: [Azure] Support DNSZone and PrivateDNSZone resources for private zone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.z
Assignee: John Hixson
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On: 1772804
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-07 21:22 UTC by John Hixson
Modified: 2020-02-12 12:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 12:16:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 344 None closed Bug 1788707: [release-4.2] NE-250: Support both DNSZone and PrivateDNSZone resources 2020-07-10 20:02:46 UTC
Github openshift installer pull 2825 None closed Bug 1788707: Backport Azure private DNS to 4.2 branch 2020-07-10 20:02:46 UTC
Red Hat Product Errata RHBA-2020:0395 None None None 2020-02-12 12:16:42 UTC

Description John Hixson 2020-01-07 21:22:08 UTC
Description of problem:

(copy and pasted from https://issues.redhat.com/browse/NE-226)

https://github.com/openshift/api/blob/c4807bb1ed5f3830874a2f78c6acd1235bdbe79c/config/v1/types_dns.go#L55

on Azure currently we use DNSZone resource with type `Private` to store the DNS records private to the cluster.


There are certain shortcomings with this resource when using type `Private`

1) This has been deprecated by Azure for  Private DNS Zones preview

2) This does not allow attaching itself to pre-existing Virtual Networks

 
The new resource Private DNS Zone solves all the shortcoming of the previous generation and is required for Installing OpenShift in pre-exisiting VNets in Azure.

The ingress-operator will need to support the `.spec.privateZone.id` to be either of the 2 resources.

The long-term goal is to migrate 4.2 clusters to new resource, but for 4.3 we are only required to support the install time choice, i.e. the change of this ID in-cluster as day-2 does not need to be supported.

Migration epic is here https://docs.google.com/document/d/1j5pJbmAQ4-FVR2H0S5OWAaX7rImBcPP0RC-uLlM1WrE/edit#heading=h.9khfep37qdjo

PR for ingress operator: https://github.com/openshift/cluster-ingress-operator/pull/344
PR for installer: https://github.com/openshift/installer/pull/2825

Comment 4 errata-xmlrpc 2020-02-12 12:16:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0395


Note You need to log in before you can comment on or make changes to this bug.